﻿@{
    Layout = null;
}

@model List<InferenceData>

<html>
<head>
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="~/bower_components/font-awesome/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="~/bower_components/Ionicons/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="~/dist/css/AdminLTE.min.css">
    <link rel="stylesheet" href="~/dist/css/skins/skin-blue.min.css">
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col-md-2"></div>
            <div class="col-md-8">
                <br />
                <form asp-controller="TrainedTaxonomy" asp-action="SeeReviews" method="get">

                    <div class="input-group input-group-sm">
                        <input type="hidden" name="trainedTaxonomyId" value="@ViewData["trainedTaxonomyId"]" />
                        <input type="text" class="form-control" name="count" value="@ViewData["count"]">
                        <span class="input-group-btn">
                            <button type="submit" class="btn btn-info btn-flat">Go!</button>
                        </span>
                    </div>
                </form>
                @foreach (var rev in Model)
                {
                    <div class="card">
                        <div class="card-header">
                            Review
                        </div>
                        <div class="card-body">
                            <blockquote class="blockquote mb-0">
                                <p>@rev.Text</p>
                                <footer class="blockquote-footer">@rev.PreProcessedText</footer>
                            </blockquote>
                        </div>
                    </div>
                    <br />
                }
            </div>
            <div class="col-md-2"></div>
        </div>
    </div>
</body>
</html>
